[Unit]
Description=Teixim Cures Unicorn app server

[Service]
Type=simple
SyslogIdentifier=teiximcures-unicorn
User=teiximcures
PIDFile={{ pids_path }}/unicorn.pid
WorkingDirectory={{ current_path }}
EnvironmentFile=-/etc/default/teiximcures

ExecStart=/home/teiximcures/.rbenv/bin/rbenv exec bundle exec unicorn -c config/unicorn.rb -E {{ rails_environment }}
ExecReload=/bin/kill -s USR2 $MAINPID
ExecStop=/bin/kill -s QUIT $MAINPID

[Install]
WantedBy=multi-user.target
